com.rscja.deviceapi

## Class FingerprintSM206B

- java.lang.Object
- - com.rscja.deviceapi.FingerprintSM206B

- All Implemented Interfaces:
    IFingerprintSM206B

      public class FingerprintSM206B
      extends java.lang.Object
      implements IFingerprintSM206B

  SM206B 指纹模块操作接口
  第一步:调用init(Context context) 函数初始化指纹模块
  第二步:调用指纹相关接口,比如：search()，getDeviceVersion()...
  第三步:调用free()释放指纹模块相关资源
  示例代码:
  public void Test() {
  Context context;
  FingerprintSM206B fingerprintSM206B= FingerprintSM206B.getInstance();
  boolean result= fingerprintSM206B.init(context);
  if(!result){
  //init fail
  return;
  }
  fingerprintSM206B.getImage();
  fingerprintSM206B.getFingerTemplate();
  fingerprintSM206B.getDeviceVersion();
  //...........
  fingerprintSM206B.free(); }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `enroll()` 录入指纹，用户录入 3~5 次指纹，生成 256 字节指纹特征值
    `boolean` | `free()` 释放指纹模块
    `java.lang.String` | `getDeviceVersion()` 获取指纹模块固件版本
    `byte[]` | `getFingerTemplate()` 获取指纹模板数据，用户录入 1 次指纹，生成 256 字节指纹特征值
    `byte[]` | `getImage()`
    `static FingerprintSM206B` | `getInstance()` 获取指纹模块操作实例 Acquire fingerprint module operation Instance
    `android.graphics.Bitmap` | `imgageRawToBimap(byte[] imgBuf)`
    `boolean` | `init(android.content.Context context)` 初始化指纹模块

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static FingerprintSM206B getInstance()

      获取指纹模块操作实例
      Acquire fingerprint module operation Instance
      Returns:
        指纹模块操作实例
        return fingerprint operation Instance
      Throws:
        `ConfigurationException` - 配置错误异常
        Configuration error

    - #### init

          public boolean init(android.content.Context context)

      初始化指纹模块
      Specified by:
        `init` in interface `IFingerprintSM206B`
      Parameters:
        `context` - Context
      Returns:
        true:success false:fail

    - #### free

          public boolean free()

      释放指纹模块
      Specified by:
        `free` in interface `IFingerprintSM206B`
      Returns:
        true:success false:fail

    - #### getDeviceVersion

          public java.lang.String getDeviceVersion()

      获取指纹模块固件版本
      Specified by:
        `getDeviceVersion` in interface `IFingerprintSM206B`
      Returns:
        返回指纹模块固件版本

    - #### enroll

          public byte[] enroll()

      录入指纹，用户录入 3~5 次指纹，生成 256 字节指纹特征值
      Specified by:
        `enroll` in interface `IFingerprintSM206B`
      Returns:
        返回 256 字节指纹模板数据

    - #### getFingerTemplate

          public byte[] getFingerTemplate()

      获取指纹模板数据，用户录入 1 次指纹，生成 256 字节指纹特征值
      Specified by:
        `getFingerTemplate` in interface `IFingerprintSM206B`
      Returns:
        返回 256 字节指纹模板数据

    - #### getImage

          public byte[] getImage()

      Specified by:
        `getImage` in interface `IFingerprintSM206B`

    - #### imgageRawToBimap

          public android.graphics.Bitmap imgageRawToBimap(byte[] imgBuf)